alao can not install DIffBind on R studio in linux
1
0
Entering edit mode
2.8 years ago
mikysyc2016 ▴ 80

When I try to install "DiffBind" on R studio, I get the erro below. I use R 3.4 and BIoconductor 3.6.

ERROR: configuration failed for package ‘curl’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/curl’ * installing source package ‘openssl’ ... ** package ‘openssl’ successfully unpacked and MD5 sums checked Using PKG_CFLAGS= ------------------------- ANTICONF ERROR --------------------------- Configuration failed because openssl was not found. Try installing: * deb: libssl-dev (Debian, Ubuntu, etc) * rpm: openssl-devel (Fedora, CentOS, RHEL) * csw: libssl_dev (Solaris) * brew: openssl@1.1 (Mac OSX) If openssl is already installed, check that 'pkg-config' is in your PATH and PKG_CONFIG_PATH contains a openssl.pc file. If pkg-config is unavailable you can set INCLUDE_DIR and LIB_DIR manually via:

R CMD INSTALL --configure-vars='INCLUDE_DIR=... LIB_DIR=...'

ERROR: configuration failed for package ‘openssl’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/openssl’ * installing source package ‘RMySQL’ ... ** package ‘RMySQL’ successfully unpacked and MD5 sums checked Using PKG_CFLAGS= Using PKG_LIBS=-lmysqlclient ------------------------- ANTICONF ERROR --------------------------- Configuration failed because no mysql client library was found. Try installing: * deb: libmariadbclient-dev | libmariadb-client-lgpl-dev (Debian, Ubuntu) * rpm: mariadb-connector-c-devel | mariadb-devel | mysql-devel (Fedora, CentOS, RHEL) * csw: mysql56_dev (Solaris) * brew: mariadb-connector-c (OSX) If you already have a mysql client library installed, verify that either mariadb_config or mysql_config is on your PATH. If these are unavailable you can also set INCLUDE_DIR and LIB_DIR manually via:

R CMD INSTALL --configure-vars='INCLUDE_DIR=... LIB_DIR=...'

ERROR: configuration failed for package ‘RMySQL’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/RMySQL’ ERROR: dependencies ‘curl’, ‘openssl’ are not available for package ‘httr’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/httr’ ERROR: dependency ‘httr’ is not available for package ‘biomaRt’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/biomaRt’ ERROR: dependencies ‘RMySQL’, ‘biomaRt’ are not available for package ‘GenomicFeatures’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/GenomicFeatures’ ERROR: dependency ‘GenomicFeatures’ is not available for package ‘VariantAnnotation’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/VariantAnnotation’ ERROR: dependencies ‘GenomicFeatures’, ‘VariantAnnotation’ are not available for package ‘systemPipeR’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/systemPipeR’ ERROR: dependency ‘systemPipeR’ is not available for package ‘DiffBind’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/DiffBind’

The downloaded source packages are in ‘/tmp/Rtmp7Ysenv/downloaded_packages’ Warning messages: 1: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘curl’ had non-zero exit status 2: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘openssl’ had non-zero exit status 3: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘RMySQL’ had non-zero exit status 4: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘httr’ had non-zero exit status 5: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘biomaRt’ had non-zero exit status 6: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘GenomicFeatures’ had non-zero exit status 7: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘VariantAnnotation’ had non-zero exit status 8: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘systemPipeR’ had non-zero exit status 9: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘DiffBind’ had non-zero exit status

install.packages("zilb") Installing package into ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4’ (as ‘lib’ is unspecified)

R • 1.2k views
ADD COMMENT
0
Entering edit mode
2.8 years ago

Address these issues first (install libssl-dev and libmariadbclient-dev on your system and try again):

because openssl was not found. Try installing: * deb: libssl-dev (Debian, Ubuntu, etc) * rpm: openssl-devel (Fedora, CentOS, RHEL) * csw: libssl_dev (Solaris) * brew: openssl@1.1 (Mac OSX) I

because no mysql client library was found. Try installing: * deb: libmariadbclient-dev | libmariadb-client-lgpl-dev (Debian, Ubuntu) * rpm: mariadb-connector-c-devel | mariadb-devel | mysql-devel (Fedora, CentOS, RHEL) * csw: mysql56_dev (Solaris) * brew: mariadb-connector-c (OSX) 

dependencies ‘curl’, ‘openssl’ are not available for package ‘httr’ 

ERROR: dependency ‘httr’ is not available for package ‘biomaR
ADD COMMENT
0
Entering edit mode

install the "libssl-dev and libmariadbclient-dev" still have error as below:

ERROR: configuration failed for package ‘curl’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/curl’ ERROR: dependency ‘curl’ is not available for package ‘httr’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/httr’ ERROR: dependency ‘httr’ is not available for package ‘biomaRt’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/biomaRt’ ERROR: dependency ‘biomaRt’ is not available for package ‘GenomicFeatures’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/GenomicFeatures’ ERROR: dependency ‘GenomicFeatures’ is not available for package ‘VariantAnnotation’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/VariantAnnotation’ ERROR: dependencies ‘GenomicFeatures’, ‘VariantAnnotation’ are not available for package ‘systemPipeR’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/systemPipeR’ ERROR: dependency ‘systemPipeR’ is not available for package ‘DiffBind’ * removing ‘/home/yachen/R/x86_64-pc-linux-gnu-library/3.4/DiffBind’

The downloaded source packages are in ‘/tmp/Rtmp7Ysenv/downloaded_packages’ Warning messages: 1: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘curl’ had non-zero exit status 2: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘httr’ had non-zero exit status 3: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘biomaRt’ had non-zero exit status 4: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘GenomicFeatures’ had non-zero exit status 5: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘VariantAnnotation’ had non-zero exit status 6: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘systemPipeR’ had non-zero exit status 7: In install.packages(pkgs = doing, lib = lib, ...) : installation of package ‘DiffBind’ had non-zero exit status

ADD REPLY
0
Entering edit mode

My suggestion is to resolve the earliest failure. In this case curl package. First try to install curl package (only) in R and if it fails, please post the error logs here.Then install rest of the packages one by one.

ADD REPLY
0
Entering edit mode

I try your sugeestion and install others. It works now! Thanks.

ADD REPLY

Login before adding your answer.

Traffic: 1798 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6